import request from '/@/utils/request';

export function planApi() {
	return {
		getPlanByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/select/selectAssessPlanPage',
				method: 'post',
				data: params
			});
		},

		addPlan: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/insert/insertAssessPlan',
				method: 'post',
				data: params
			});
		},


		modPlan: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/updateAssessPlan',
				method: 'post',
				data: params
			});
		},

		deletePlanById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/delete/deleteAssessPlan',
				method: 'post',
				data: params
			});
		},

		sellAssessPlan: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/sellAssessPlan',
				method: 'post',
				data: params
			});
		},

		getAllPlan: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/select/listAssessPlan',
				method: 'get',
			});
		},

		refuseIdentify: (params: object)=>{
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/identificationRefuse',
				method: 'post',
				data: params
			});
		},

		refuseEvaluate: (params: object)=>{
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/evaluateRefuse',
				method: 'post',
				data: params
			});
		},

		refuseScene: (params: object)=>{
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/sceneRefuse',
				method: 'post',
				data: params
			});
		},

		reSendJob: (params: object)=>{
			return request({
				url: import.meta.env.VITE_API_URL + '/risk/update/appointNew',
				method: 'post',
				data: params
			});
		}
	};
}
